Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.physics.efield
Class ParticleField

    java.lang.Object
      net.sf.j3d.physics.efield.ParticleField

    public class ParticleField

extends Object

Field Summary
`static double` | `delta`
`static double` | `mass`

Constructor Summary
`ParticleField(EnergyField e, int tot)`

Method Summary
`double` | `absorb(int index, double energy, double x, double y, double z)`
`void` | `addPhoton(double energy, double x, double y, double z, double dx, double dy, double dz)`
`double[]` | `emit(int index)`
`int` | `getClosestParticle(double x, double y, double z)`
`double` | `getDisplacement(int index, double x, double y, double z)`
`double` | `getDistance(int index, double x, double y, double z, double energy)`
`double` | `getEnergy(int index)`
`double[]` | `getParticle(int index)`
`boolean` | `intersect(double[] photon)`
`void` | `iterate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mass

    public static final double mass

See Also:
  Constant Field Values

### delta

    public static final double delta

Constructor Detail

### ParticleField

    public ParticleField(EnergyField e,
                         int tot)

Method Detail

### addPhoton

    public void addPhoton(double energy,
                          double x,
                          double y,
                          double z,
                          double dx,
                          double dy,
                          double dz)

### iterate

    public void iterate()

### intersect

    public boolean intersect(double[] photon)

### absorb

    public double absorb(int index,
                         double energy,
                         double x,
                         double y,
                         double z)

### emit

    public double[] emit(int index)

### getParticle

    public double[] getParticle(int index)

### getEnergy

    public double getEnergy(int index)

### getDistance

    public double getDistance(int index,
                              double x,
                              double y,
                              double z,
                              double energy)

### getDisplacement

    public double getDisplacement(int index,
                                  double x,
                                  double y,
                                  double z)

### getClosestParticle

    public int getClosestParticle(double x,
                                  double y,
                                  double z)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD